# @Author: Spencer Hallyburton <spencer>
# @Date:   2021-06-05
# @Filename: refine_car_custom.yaml
# @Last modified by:   spencer
# @Last modified time: 2021-06-05


TRAIN:
  BATCH_SIZE: 32
  START_EPOCH: 0
  MAX_EPOCH: 50
  OPTIMIZER: adam
  BASE_LR: 0.001
  MIN_LR: 1e-5
  GAMMA: 0.1
  LR_STEPS: [20]
  MOMENTUM: 0.9
  WEIGHT_DECAY: 0.0001

MODEL:
  FILE: models/det_base.py
  NUM_CLASSES: 2

TEST:
  BATCH_SIZE: 32
  METHOD: nms

DATA:
  DATASET_NAME: KITTI # config in datasets/dataset_info.py
  FILE: datasets/provider_sample_refine.py
  DATA_ROOT: kitti/data/pickle_data_refine
  CAR_ONLY: True
  RTC: True
  WITH_EXTRA_FEAT: False
  NUM_SAMPLES: 512
  STRIDE: (0.1, 0.2, 0.4, 0.8)
  HEIGHT_HALF: (0.1, 0.2, 0.4, 0.8)
  EXTEND_FROM_DET: False


RESUME: False
NUM_GPUS: 1
OUTPUT_DIR: 'output/car_train_refine'
SAVE_SUB_DIR: ''
USE_TFBOARD: True
NUM_WORKERS: 4
FROM_RGB_DET: False
disp: 100
